git » repo-mgmt.git » commit b29d740

Add a preliminary clone-it-all script

author Urja (ARMLFS builder)
2024-06-23 11:32:29 UTC
committer Urja (ARMLFS builder)
2024-06-23 11:32:29 UTC
parent 9409c6b0caf13ed387ac12d2fc25d73f124dc2f5

Add a preliminary clone-it-all script

clone-gits.sh +30 -0
sources-gits.txt +6 -0

diff --git a/clone-gits.sh b/clone-gits.sh
new file mode 100755
index 0000000..c807c80
--- /dev/null
+++ b/clone-gits.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+URL=https://armlfs.urja.dev/git
+set -e
+
+for g in $(cat sources-gits.txt); do
+	cd /sources
+	echo /sources/$g
+	if [ -e "$g" ]; then
+		continue
+	fi
+	#exit 1
+	git clone $URL/sources/$g.git
+done
+
+repo_gits() {
+	for dir in $(cat order | cut -d ' ' -f 1 | sort | uniq); do
+		echo $repo $dir
+		if [ -e "$dir" ]; then
+			continue
+		fi
+		#exit 1
+		git clone $URL/$1-pkgbuilds/$dir.git
+		chown -R builder:builder $dir
+	done
+}
+
+for repo in core base kde5; do
+	cd /sources/$repo-pkgbuilds
+	repo_gits $1
+done
diff --git a/sources-gits.txt b/sources-gits.txt
new file mode 100644
index 0000000..4208004
--- /dev/null
+++ b/sources-gits.txt
@@ -0,0 +1,6 @@
+kde5-pkgbuilds
+autoupdaters
+core-pkgbuilds
+mk-builders
+mk-desktop-image
+base-pkgbuilds